jQuery(function($) {
	
	if (y42bVarCalleModal == "y42bEntidad"){
		$("#y42bBusquedaCalleTHId").val($("#y42bEntidadComboProvincia").val());
		$("#y42bBusquedaCalleTHDesc").val($('#y42bEntidadComboProvincia option:selected').html());
		$("#y42bBusquedaCalleMunicipioId").val($("#y42bEntidadComboMunicipio").val());
		$("#y42bBusquedaCalleMunicipioDesc").val($('#y42bEntidadComboMunicipio option:selected').html());
	}else if (y42bVarCalleModal == "y42bContacto"){
		$("#y42bBusquedaCalleTHId").val($("#y42bContactoComboProvincia").val());
		$("#y42bBusquedaCalleTHDesc").val($('#y42bContactoComboProvincia option:selected').html());
		$("#y42bBusquedaCalleMunicipioId").val($("#y42bContactoComboMunicipio").val());
		$("#y42bBusquedaCalleMunicipioDesc").val($('#y42bContactoComboMunicipio option:selected').html());
	}
	
	y42bBusquedaCalle_PintarComboTipoVia();
	
	var y42bVarWidthBusquedaCalleTabla = $("#y42bDivTablaBusquedaCalle").width();
	var query = $("#y42bBusquedaCalleForm").serialize();
	
	
	$("#y42bBusquedaCalleTabla").rup_grid({
		url:"/y42bVistaWar/nora/busquedaCalles?"+ query,
		loadOnStartUp: false,
		width: y42bVarWidthBusquedaCalleTabla,
		pagerName:"y42bBusquedaCalleTablaPager",
		rowNum: "10",
		sortorder: "asc",
		sortname: "dsO",
		colNames:[
		    "",
		    $.rup.i18n.app.y42bBusquedaCalleTabla.tipoVia,
		    $.rup.i18n.app.y42bBusquedaCalleTabla.calle,
		],
		colModel: [
		    { 	name: "id",
		    	index: "id",
		    	hidden: true,
		    	width: funcPercentage(10,y42bVarWidthBusquedaCalleTabla)
		    },
		    { 	name: "tipoViaId",
		    	index: "tipoViaId",
		    	width: funcPercentage(40,y42bVarWidthBusquedaCalleTabla)
		    },
		    { 	name: "dsO",
		    	index: "dsO",
		    	width: funcPercentage(50,y42bVarWidthBusquedaCalleTabla)
		    }
		],
		onSelectRow : function(id, selectR) {
			var datosFila = $("#y42bBusquedaCalleTabla").rup_grid("getRowData", id);
			var id = datosFila.id;
			var tipoViaId = datosFila.tipoViaId;
			var dsO = datosFila.dsO;
			
			
			if (y42bVarCalleModal == "y42bEntidad"){
				y42bFunctionBusquedaCalleModalAPadreEntidad(id,dsO,tipoViaId);
			}else if (y42bVarCalleModal == "y42bContacto"){
				y42bFunctionBusquedaCalleModalAPadreContacto(id,dsO,tipoViaId);
			}
		}		
	
	});

	//y42bBusquedaCalleFiltrar();
	
	
});



/* ****************************************************************************************************
 * Boton Limpiar Filtro Modal Motivos
 * ***************************************************************************************************
 */
$("#y42bBusquedaCalleBotonLimpiar").click(function () {
	y42bBusquedaCalleLimpiar();
});

/*
 * Limpiamos todos los datos del formulario.
 */
function y42bBusquedaCalleLimpiar() {
	
	if (y42bVarCalleModal == "y42bEntidad"){
		$("#y42bBusquedaCalleTHId").val($("#y42bEntidadComboProvincia").val());
		$("#y42bBusquedaCalleTHDesc").val($('#y42bEntidadComboProvincia option:selected').html());
		$("#y42bBusquedaCalleMunicipioId").val($("#y42bEntidadComboMunicipio").val());
		$("#y42bBusquedaCalleMunicipioDesc").val($('#y42bEntidadComboMunicipio option:selected').html());
	}else if (y42bVarCalleModal == "y42bContacto"){
		$("#y42bBusquedaCalleTHId").val($("#y42bContactoComboProvincia").val());
		$("#y42bBusquedaCalleTHDesc").val($('#y42bContactoComboProvincia option:selected').html());
		$("#y42bBusquedaCalleMunicipioId").val($("#y42bContactoComboMunicipio").val());
		$("#y42bBusquedaCalleMunicipioDesc").val($('#y42bContactoComboMunicipio option:selected').html());
	}
	
	
	
	$("#y42bBusquedaCalleComboTipoVia").rup_combo("select","");
	$("#y42bBusquedaCalleCalle").val("");
	$("#y42bBusquedaCalleTabla").rup_grid("clearGridData");
}

/* ****************************************************************************************************
 * Boton Filtrar Modal Busqueda Calle
 * ***************************************************************************************************
 */
$("#y42bBusquedaCalleBotonFiltrar").click(function () {
	y42bBusquedaCalleFiltrar();
});

/*
 * Filtramos por los datos del formulario.
 */
function y42bBusquedaCalleFiltrar() {

	$("#y42bBusquedaCalleTabla").rup_grid("clearGridData");
	var query = $("#y42bBusquedaCalleForm").serialize();
	//alert("/y42bVistaWar/nora/busquedaCalles?"+ query);
	$("#y42bBusquedaCalleTabla").rup_grid("setGridParam", {url : "/y42bVistaWar/nora/busquedaCalles?"+ query});
	$("#y42bBusquedaCalleTabla").rup_grid("reloadGrid");
}



//Combo tipovia NORA

function y42bBusquedaCalle_ResetearComboTipoVia(){
	$("#y42bBusquedaCalleComboTipoVia-button").remove();
	$("#y42bBusquedaCalleComboTipoVia-menu").remove();
	$('<select id="y42bBusquedaCalleComboTipoVia" name="tipoViaId"></select>').replaceAll("#y42bBusquedaCalleComboTipoVia");
}
	
function y42bBusquedaCalle_PintarComboTipoVia(){
	y42bBusquedaCalle_ResetearComboTipoVia();
	$("#y42bBusquedaCalleComboTipoVia").rup_combo({
		blank : "",
		width:"350",
		source : "/y42bVistaWar/nora/tipoVia",
		sourceParam : {
			label : "ds"+recuperarLetraIdiomaCE(),
			value : "id"
		}
	});	
}


